<?xml version="1.0"?>

<!--
  有关如何配置 ASP.NET 应用程序的详细信息，请访问
  http://go.microsoft.com/fwlink/?LinkId=169433
  -->

<configuration>
  <appSettings>
    <!--kindeditor上传图片，视频，文件的配置-->
    <add key="ImageSize" value="600000" />
    <add key="AdImgURL" value="~/UpFile/image/" />
    <add key="Attach_Size" value="102400000"/>
    <add key="Attach_Image" value="gif,jpg,jpeg,png,bmp"/>
    <add key="Attach_Flash" value="swf,flv"/>
    <add key="Attach_Media" value="swf,flv,mp3,wav,wma,wmv,mid,avi,mpg,asf,rm,rmvb"/>
    <add key="Attach_File" value="doc,docx,xls,xlsx,ppt,pptx,pdf,htm,html,txt,js,zip,rar,gz,7z,bz2"/>
  </appSettings>
  <connectionStrings>
    <!--数据库连接字符串-->
    <add name="DBConnectionString" connectionString="Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|Data.mdb" />
  </connectionStrings>

  <system.web>
    <!--kindeditor的配置需要设置,pages validateRequest="false" -->
    <httpRuntime  requestValidationMode="2.0" maxRequestLength="2097151" executionTimeout="3600"/>
    <pages validateRequest="false">
    </pages>
    <compilation debug="true" targetFramework="4.0" />

    <authentication mode="Forms">
      <forms loginUrl="stuLogin.aspx" timeout="2880" />
    </authentication>

    <membership>
      <providers>
        <clear/>
        <add name="AspNetSqlMembershipProvider" type="System.Web.Security.SqlMembershipProvider" connectionStringName="ApplicationServices"
             enablePasswordRetrieval="false" enablePasswordReset="true" requiresQuestionAndAnswer="false" requiresUniqueEmail="false"
             maxInvalidPasswordAttempts="5" minRequiredPasswordLength="6" minRequiredNonalphanumericCharacters="0" passwordAttemptWindow="10"
             applicationName="/" />
      </providers>
    </membership>

    <profile>
      <providers>
        <clear/>
        <add name="AspNetSqlProfileProvider" type="System.Web.Profile.SqlProfileProvider" connectionStringName="ApplicationServices" applicationName="/"/>
      </providers>
    </profile>

    <roleManager enabled="false">
      <providers>
        <clear/>
        <add name="AspNetSqlRoleProvider" type="System.Web.Security.SqlRoleProvider" connectionStringName="ApplicationServices" applicationName="/" />
        <add name="AspNetWindowsTokenRoleProvider" type="System.Web.Security.WindowsTokenRoleProvider" applicationName="/" />
      </providers>
    </roleManager>

  </system.web>

  <system.webServer>
    <modules runAllManagedModulesForAllRequests="true"/>
  </system.webServer>
</configuration>
